Important Information Regarding Your Medisoft Software and Windows 10

Important Information Regarding Your Medisoft Software and Windows 10

We want to remind you of some important information regarding your software if you are not on the latest Medisoft version!

Stop feeling confused! We’ve got the answers. (Image Via Google.)

We Want To Help!

Medisoft Version 19 and below IS NOT supported by eMD, if you upgrade your workstations to Windows 10.

Medisoft Version 19 and 18, however, will still work with Windows 8.

If you have upgraded to Windows 10 on your workstation(s), you must be on Medisoft Version 20, in order for Medisoft to work.

Need more help?

More information on Medisoft Version 20 and how to upgrade can be found here!

If you are already on Medisoft Version 20, check out this blog post that offers a hotfix for when Medisoft is freezing on startup, by clicked here!

We hope this blog post was helpful for you! Leave us a comment or give us a call if you have any questions or concerns.